(TODO) Suggestions:
- create 3D signal-plots

Release 2.0.5.89 (Win7 patch)
February 16th, 2011
+ don't show audio- or communication errors at startup

Release 2.0.5.88
Saturday, 19th December 2009
+ Video A channel 1 and 3B support
+ disabled old features

Release 2.0.5.88-alpha-11
Tuesday, 1st December 2009
+ added a retry start-up loop for ICOM

Release 2.0.5.88-alpha-9/10
Saturday, 11th July 2009
+ deleted Weather underground tab from general settings
+ fixed bugs in the Custom radio tuner

Release 2.0.5.88-alpha-8
Friday, 10th July 2009
+ fixed signal plotter issues
+ added find button and port edit to Voltmeter

Release 2.0.5.88-alpha-4/5/6/7
Thursday, 9th July 2009
+ quick bug fixes to the new signal plotter
+ add DATAQ and LabJack support for signalplotter
+ add earthquake data to received projected images
+ bug fix, when data is loaded in flat earth monitor there is an exception
+ bug fix, 1kb wav error bug found and fixed
+ bug fix, vareous flat earth fixes
+ add at what time of day The Daily Log should be updated
+ removed download frequency feature from active satellites dialig

Release 2.0.5.88-alpha-3
Tuesday, 10th March 2009
+ removed automatic noise chopping from projected images

Release 2.0.5.88-alpha-2
Saturday, 28th February 2009
+ maintenance dialog, delete unused files

Release 2.0.5.88-alpha-1
Friday, 27th February 2009
+ fixed Satellite status in Active Satellites
+ fixed pass analyzer bug
+ signal plotter non modal
+ show every sample value as hint in Signal Plotter
+ debug info on audio
+ record automatically signals from next satellites

Release 2.0.5.87
Mondayday, 9th February 2009
+ upgrade to latest ImageMagick
+ added N19 features
+ change to utf-8 in daily log

Release 2.0.5.87-beta-1
Sundayday, 27 December 2008
+ added Plot graph options to Signal plotter settings
+ added tickbox Don't timestamp URL's to General settings tab Web tab Daily Log options
+ changed to NOAA N Prime logo
+ added link to POES Project page to menu Help

Release 2.0.5.87-alpha-1
Saturday, 27 December 2008
+ fix, METAR Browser did not support "Hourly Precipitation"
+ added Scale automatically to Signal Plotter Settings

Sunday, 2 November 2008
Release 2.0.5.86
+ fixes to google maps link
+ added Show grid to The Flat Earth Monitor Settings
+ show IR if visible channel is not found after processing
- I wonder if the moon is correctly shown in Flat Earth?

Thurssday, 30 October 2008
Release 2.0.5.86-beta
+ bugfix, moon was 180 wrong in The Flat Earth Monitor
+ bugfix, removed the R2FX "Unknown Tuner Error" from Process log
+ added google map features to the daily log

Sunday, 12 October 2008
Release 2.0.5.85
+ added rotor support
+ added clut creator
+ remove debug R2FX messages
+ fixed html css bug
+ added NOVA Meditor
+ added GPS baudrate
+ metar bug fixes
+ added shortct icons to toolbar
+ made the Audio Level slower
+ the Audio Level uses now the selected device in General Settings

Release 2.0.5.85-alpha-7
Tuesday, 1 July 2008
- bugfix: it did not add lightning data to projected images after changes in the flat earth monitor

Release 2.0.5.85-alpha-6
Sunday, 22 June 2008
+ bugfix, the earthquake data did not update to the latest
+ added View changelog to check for updates and menu help

Release 2.0.5.85-alpha-5
Saturday, 21 June 2008
+ fixed "File not found" messagebox when opening an url if browser was not open
+ fixed Vista volume- and recording- control support in "Check audio level"
+ The flat Earth Monitor can show todays earthquakes > M 2.5
+ Lightning- and quake- data are now downloaded to folder hazards/data (compatible with old versions)

Release 2.0.5.85-alpha-4
Monday, 9 June 2008
+ tweak Vista volume- and recording- control support

Release 2.0.5.85-alpha-3
Sunday, 8 June 2008
+ new lightning data (1 hour) download from blitzortung.org
+ click on a satellite to see the next 3.5 hour path in Flat Earth Monitor
+ added lightning- and metar-data to the Flat Earth Monitor
+ Vista volume- and recording- control support

Release 2.0.5.85-alpha-2
Wednesday, 14 May 2008
+ tweaked R2FX tuner issues on slow computers
+ improved mapping
+ added current weather to METARs on projected images
+ updated configuration files

Release 2.0.5.85-beta
Sunday, 27 April 2008 and on
+ North- and Southbound composite option per satellite to General settings
+ Recycle composite option per satellite to General settings
+ Bugfix: it deleted images locally daily even if it was said keep log more than one day in General settings
+ Tune to RX option to PCR1k (follow doppler)
+ Added 350-520 MHz calibration coefficients to PCR1k
+ Synch time at startup option to General settings tab Custom tab System
+ install release (.exe) support to Check for updates

2.0.5.85-alpha
Saturday, 12 April 2008
+ close the PCR tuner window gracefully without asking when restarting
+ added a test button to check the restart in General settings tab Custom tab System

Release 2.0.5.84
Friday, 11 April 2008
+ added attenuator option to PCR tuner window
+ fixed typos here and there

Release 2.0.5.83
Sunday, 6 April 2008
+ added more statistics to the daily log
+ added restart task to General settings tab Custom->System
+ added automatic package installer to menu Help->Check for updates

Release 2.0.5.83-beta-2
Monday, 24 March 2008
+ changed the radio serial port nr component to be flexible in General settings tab Radio control
+ added how long it did take to create the daily log

Release 2.0.5.82
Saturday, 22 March 2008
+ added a Level Meter executed from menu Tools->Check audio level
+ tweaked the Daily Log to be updated after the first pass after midnight

Release 2.0.5.81
Saturday, 15 March 2008
+ fixed exception when R2FX was tuned from the tuner window
+ added a detailed process list to the process window
+ tweaked memory management
+ user can define how many days to keep the same log in General settings tab Web tab Daily log options

Release 2.0.5.81-beta
Friday, 29 February 2008
+ more calibration factors below -115 dBm for ICOM PCR1000
+ added Level range scale factor to Signal plotter
+ change MIC value text from 2 to 20 in R2FX settings dialog
+ bugfix to next pass list in daily log
+ added buttons preview and edit to colour lookup table settings dialog tab IR
+ x, y, w and h coordinates after RGB in toolbar
+ modified NOAA 17 channel parser
+ bugfixes to projection, occasional crash
+ remove unused button from METAR dialog
+ new tab to Web in General settings dialog for Daily Log
+ a debug log executed from menu Help
- TODO: fix missed pixels over the pole

Release 2.0.5.80
Saturday, 16 February 2008
+ bugfix, signal plotter crash

Release 2.0.5.79
Thursday, 14 February 2008
+ fixed RAW jpg image compression from lossy to lossless
+ fixed ImageMagick web-link in about
+ added test FTP settings button in General settings tab Web
+ ICOM PCR signal values calibrated, thanks http://groups.yahoo.com/group/PCR1000/

Release 2.0.5.78
Sunday, 10 February
+ upgraded to ImageMagick-6.3.8-Q8

Release 2.0.4.78-beta-8-test-5
Saturday, 9 February 2008
+ bugfig, images were not calibrated when logging

2.0.4.78-beta-8-test-2...4
Saturday, 9 February 2008
+ removed Log poor image quality option from General settings
+ User can change font colour of info text when decoding in General settings tab Custom
+ changes to the Daily log process
+ miscellaneous PCR fixes
+ display next recordable satellite in statusbar
+ fixed PCR signal issues
+ fixed memory leak (major fix)

2.0.4.78-beta-5...6
Sun, 15 Nov 2007
+ corrected the moon position in the Flat Earth Monitor
+ corrected resolution problems in Kepler dialog
+ record/display signals with supported ICOM PCR receivers
+ Fahrenheit display to CLUT Editor and images

- fix memory leak while recording images automatically

2.0.4.78-beta-2...4
Wed, 3, October 2007
+ bugfix, daily log did not update correctly when a new day arrived

2.0.4.78-beta-2
Sat, 22, September 2007
+ fixed Satellite->Pass list window display issues
+ use knots as unit on METAR without wind unit
+ wrong image type displayed on IR composite image
+ tweaked R2FX tuner screen resolution problems
+ added user code fields to the daily log

- fix memory leak

2.0.4.78-beta
Fri, 31 August, 2007
+ METAR browser and METARs to projected images
+ cities to projected images
+ changed URLs in menu Help
+ fixed Next Passes in The Daily Log to show only passes until midnight
+ access Composite map settings dialog from menu Images
- find memory leak while recording
- web-based image archive using MySQL

2.0.4.78-alpha
Tue, 14 August, 2007
+ added satellite prediction dialog
- fix memory leak
- add METARs to images

2.0.4.77
Tue, 26 June, 2007

2.0.4.77-beta-18
2.0.4.77-alpha-18
Mon, 25 June, 2007
+ resource leak fix
+ fixed daily log links and layout problems

2.0.4.77-beta-17
Fri, 22 June, 2007
+ improved the logger some

2.0.4.77-beta-16
Fri, 15 June, 2007
+ added queing to prevent access violations when more than one satelite is logging at the same time

2.0.4.77-alpha-15
2.0.4.77-alpha-14
Thu, 7 Jun 2007
+ some fixes done to prevent erroneous swath calculations and corrupt images when logging
+ if no background image is used for projected images then it will underlay coastlines

2.0.4.77-beta-13
Wed, 28 May 2007
- added Europe lightning data to Map properties dialog

2.0.4.77-alpha-13
Wed, 23 May 2007
- it could not find vista font directory

2.0.4.77b12
Tue, 22 May 2007
+ rised the signal plotter max rssi threshold value from 110 to 300

2.0.4.77b11
Mon, 21 May 2007
+ bugfix, it did not draw coastlines on the IR composite images
- fix next passes in log to run in local time (when released)
- update to latest ImageMagick (when released)
- fix disortion over the pole (later release)
- improve projected image quality (later release)

2.0.4.77b10
Sun, 20 May 2007
+ signal plotter
+ force english date time
+ audio file maintenance (skipped)
+ text on maps
+ log composite images to its own html section after the latest image
- fix next passes in log to run in local time (when released)
+ check slashes in ftp path
+ remove [*] tags from satellite names
+ remove recycle composite tickbox from general settings
- update to latest ImageMagick (when released)
- fix disortion over the pole (later release)
- improve projected image quality (later release)
+ removed antenna diversity leds from the R2FX window
+ if no composite background image is given then add coastlines

2.0.4.77b3
Saturday, 3 February 2007
- tweaked longitude and latitude text
- still problems with disappering composite image from the log

2.0.4.77b2
Friday, 2 February 2007
- bugfix: visible channel composite was removed from the daily log after an IR image was added
- tweaks to chop noise from start and end
- added submenu item Delete to Images->Composite

2.0.4.77b
Thursday, 1 February 2007
- made chop noise from start and end more agressive
- small optimations when projecting
- bugfix: map- and composite settings did not revert to previous values if changed and Cancel was pressed
- bugfix: wrong font property caused crash when projecting
- added image Opacity and Fuzz to map settings

todo:
- cache same projected backgrounds for faster processing time
- show an IR instead of visible image when the satellite is not in daylight after processing
- fix lon/lat text location

2.0.4.76
Tuesday, 30 January 2007
- bug fix: still problems when comming down from the pole

2.0.4.75
Tuesday, 30 January 2007
- bug fix: projection whent crazy over the pole
- bug fix: noise chopping did not work properly

2.0.4.74
Monday, 29 January 2007
- tweak the next apt passlist in the log
- add show image after processing to general settings
- fix preview bug in clut dialog
- add menu features to projection items
- tweak mouse move event if projected
- chop always projected image
- remove unused items from clut settings dialog

1.0.3.73-alpha
Sat, 20 Jan 2007
- Sharpen and Contrast increase enhancement options to General settings dialog

1.0.3.73
Sat, 30 Dec 2006
- mode and filter settings for PCR tuners
- automatic time synchronization option to Settings dialog tab Custom
- remove antenna button to Settings dialog tab RIG
- made changelog to an external file
- added statio name to the application title
Bugfix:
- the flat earth did not update if the ground station changed
Sun, 10 Dec 2006
- ICOM PCR1500 support

1.0.3.73b2
Sun, 19 Oct 2006
- upgraded to ImageMagick 6.3.0
- detailed info text while decoding
- added a next passlist to the log
- made the log more configurable

1.0.3.73b
Tue 3 Oct 2006
Bigfix:
- ICOM PCR1000 was muted when tuned automatically

1.0.3.72
Tweaks:
- Wed, 27, Sep, try to look for a valid frame in video A for NOAA 17
- Sun, 20 Aug, gif animation did not loop
- Sun, 3 Sep, added a timestamp to every url in the log

1.0.3.72b Thursday, 10 August
Bug fix:
- the animated thumb nail image caused an infinite loop
- allow the animation speed less than 100 ms in the Animator

1.0.3.71 Tuesday, 2 August

Mon, 22 May, Created the animator
Sat, 3, Jun, Automatic kepler update option
Sun, 23 Jul, Schedule satellite change
Sat, 29 ICOM-PRC1000 support
Sun, 30 Fixed the Flat Earth thread
Mon, 1 Aug, R2FX v1.90 support and thread fix
Linked ImageMagick-6.2.8-Q8

1.0.2.71b8
Sat, 22 April 2006
Bugfix: Video A signal fade fix

1.0.2.71b7
Sat, 8 April 2006

Added Use windows preferred device checkbox

1.0.2.71b6
Sat, 8 April 2006

New features:
- 24 bit per pixel support
- GPS compass now moves

1.0.2.71b5
Tue, 21 March 2006

Bugfix:
- bypass WIN32 API when the audio is saved

1.0.2.71b4
Sun, 19 March 2006

New features:
- GPS Support
- Multiple station support
- Selectable recording device
- Removed option decode while recording

Improvements
- Recording thread

1.0.2.71b3
Sat, 4 Feb 2006

- create an image called latest

1.0.2.71b

New features
- clipboard functions
- pass analyzer
- scroll when decoding

Bug fixes:
- save did not save when the app was closed
- sun position not calculated at satellite position
- try to upload the log 3 times before bailing out

Todo:
fix R2FX v 1.90

1.0.2.70
Date: Tue, 25 Oct 2005

New features:
- updated keps archivated in 2-line format
- changed the blog item title format

Bug fix:
- decay rate 0 is ignored if the sat is selected as active APT-sat
- kep download date was not always stored

1.0.2.69
Date: Sun, 23 Oct 2005

New features:
- access the swath viewer settings from the menu
- user can specify the sun elevation when to log only the selected IR-images
- sun elevations to the log

Bug fix:
- unable to change the swath-projection if it failed
- log poor quality option fixes
- wrong sat directions in overlap dialog

1.0.2.68
Date: Tue, 11 Oct 2005

New features:
- the swath viewer
- Log poor quality option in General settings dialog->General->Images to log tab.
It will be more gentle with the False colour image A, B.
- Visible channel images are logged only between dusk and dawn (sun elev > -6
deg)

Enhancements:
- User definable index.css option in the General settings dialog

1.0.1.68 beta 3
Date: Wed, 5 October 2005

- Log poor quality option in General settings dialog

Bugfix:
- incorrect north/south threshold was used for northbound sats

1.0.1.68 beta 2
Date: Mon, 3 October 2005

Enhancement:
- set blure factor to 1 when creating thumbnail-images (soften)

1.0.1.68 beta 1
Date: Sat, 1 October 2005

Bug fixes:
- incorrect sat was selected (ocationally) when there was overlap (N17/N18)
- minimum record duration was not checked at startup if the sat was up

1.0.1.67
Date: Fri, 23 September 2005

New features:
- options when logging manually

Bug fixes:
- changed menu Images->False colour (2,4) to False colour (A, B)
- if more than one recording window was open in auto processing mode
it didn't close the correct done window (to save memory)

Todo:
- update ImageMagick to the latest version
- one day composite
- colour enhanced ir-images
- image projection

1.0.1.66
Date: Sat, 17 September 2005

Bug fixes:
- the rss blog title was missing

Todo:
- options when logging manually
- update ImageMagick to the latest version


1.0.1.65
Date: Fri, 16 September 2005

New features:
- brightness value is used when decoding live
- get/set default values in modulate dialog
- failed uploads are uploaded the nexttime (auto processing mode)
- new telemetry checker
- gzip double precision raw-file
- raise/lower the whole clut
- pass (recording) thresholds by north/south
- chop noisy start stop
- flipped contrast enhance menu items
- reorganized the General settings dialog
- histogram equalize enhancement option
- show satellite overlap warning option
- changed log directory-format to dd_dddd, 01_Monday

Bug fixes:
- image text overrided the bkgnd when non ascii chars where used
- pass prediction didn't display values at max elev
- temperature under cursor displayed incorrect value
- incorrect channels is now "N/A"

1.0.1.64
Date: Sat, 3 Sep 2005

New features:
- raw-files is user definable
- user can set default brightness, saturation and hue. Noise reduction can also be
set.

Bug fixes:
- northbound passes where not flipped during live decode

1.0.1.63
Date: Friday 2 September 2005

New features:
- displays footprint overlap warning
- added user definable blog title
- more info to the tray tool tip
- animated icons during record

Bug fixes:
- memory leak, tray tooltip was not destroyed
- corrected to RFC822 date time format eg. Tue, 30 Aug 2005 23:22:21
- bug fix, hide/visible lost focus
- at statup, if the auto tune was checked it terminated the taskbar tracker

1.0.1.62
Date: Sunday 28 August 2005

Bug fixes:
- tray tooltip did not display the satellite info

1.0.1.61
Date: Saturday 28 August 2005

New features:
- Minimize to tray with all shell features
- Improved the radio control.
- If there is footprint overlap, it will select the sat that has
the highest elevation, when auto record is enabled
- The RSS Blog Reader
- RSS feed from The Daily Log

1.0.1.60
Date: Thursday 4 August 2005

new features:
- radio ctrl support for, R2FX, RIG-RX2 and EMGO
- radio name added to the daily log

bugfix:
- the new gamma and contrast enhance option did not effect the daily log.

1.0.1.59
Date 31 July 2005

new features:

General Settings-dialog the Image properties-tab
- a default gamma option
- contrast enhance options

bug fixes:
- decrease contrast did not work

1.0.1.58
bug fix:

- the Daily Log was not valid html, after the NOAA-14 support

1.0.1.57
Date: Sat 30 July 2005

- NOAA 14 Support

1.0.1.56
Date: 27 July 2005

- a new Daily Log

bug fixes:

- Modulate and gamma correct did not change the image unless you hit the
preview button before Ok
- save tool-button did not work

1.0.1.55
bug fixes:

- corrupt Mfc70.dll in the installer
- direction wasn't allways correct for satellites with low max elev. (< 20 deg)
- Video B (IR)-image displayed Video A
- open dialog crash
- the moon was off course

Note:
Radio control is disabeled until I'll get it working correctly

1.0.1.54 beta
A possible ICOM PCR1000 bug fix

- the two padding zeros was missing
- baudrate set to static 9600bps
- turned diagnostic communicaction mode ON

1.0.1.53 beta
Date: Sat 25 June 2005

Radio control for:
- R2FX
- RIG RX-2
- ICOM PCR1000

1.0.1.52
Bux fix:
- when WIN32 API GetTimeZoneInformation returned
TIME_ZONE_ID_UNKNOWN,
aptdecoder treated this as an error, without converting times to UT.
this is a windows bug, actually!

- added timezone information in the Processlog window

1.0.1.51
Bux fix:
- the passprediction dialog didn't show the actual recording time
- when satellite don't reach defined min elevation, option was checked,
recording started from specified elevation not from the pathloss value

1.0.1.50
Date: Monday 20 June 2005

Bug fix:
- recording stop caused by the pagers or noise
- improved render during record

New features:
- The Flat Earth Monitor
- chop image to video
- maintain aspect ratio in resize dialog
- pathloss recording option, when satellite don't reach defined min elevation

1.0.1.49
bug fix:
- chop did not work after Undo

1.0.1.48
bug fix:
- Northbound passes where not automatically flipped

First release, Version 1.0.1.47
Date: Wednesday 8 June 2005 